
#include "MyRand.h"

uint8_t g_nLastRandom = 1;

void MyRandSeed(uint8_t nSeed)
{
	g_nLastRandom = nSeed;
}

uint8_t MyRandGet()
{
	//copy into local variables to avoid 16-bit integer expansion
	uint8_t Multiplier = MYRAND_MULTIPLIER;
	uint8_t Constant = MYRAND_CONSTANT;

	//implicit %256 by 8-bit datatype overflow
	g_nLastRandom = (g_nLastRandom * Multiplier + Constant)/* % MYRAND_MODULO*/;
	
	return g_nLastRandom;
}
